<app-nav-bar></app-nav-bar>
<div class="background" style="margin-top: 5%">
  <h4 id="title" *ngIf="this.amenities.length !== 0">Amenities</h4>
  <h4 id="noComments" *ngIf="this.amenities.length === 0">There are no amenities yet</h4>

  <div style="overflow-y: scroll; max-height:50%">
    <div *ngFor="let amenity of amenities;let i = index">
      <div id="amenity" style="width: 10cm; margin: 20px 20px 20px 40px;">
        <form #EditAmenity="ngForm">
          <div class="form-group">
            <input id="text" name="desc" [(ngModel)]="amenity.Description" required>
            <button style="margin-left: 3%" class="btn-dark" id="update" (click)="update(amenity) "   [disabled]="!EditAmenity.valid" >Save changes
            </button>
            <button style="margin-left: 3%" class="btn-dark" id="delete"
                    (click)="delete(amenity)">Delete
            </button>
          </div>
        </form>
      </div>
    </div>
    <form class="row" style="padding-bottom: 5%">
      <form #AddAmenity="ngForm">
        <textarea id="newAmenity" style="width: 10cm; margin: 20px 20px 5px 40px;" type="text"
                  placeholder="Write a new amenity..." name="name" [(ngModel)]="newAmenity" required>
        </textarea>
        <button id="amenitybtn" style="margin: 0px 20px 0px 100px;" class="btn-dark"
                (click)="addNewAmenity()"
                [disabled]="!AddAmenity.valid"> Add new amenity
        </button>
      </form>
    </form>
  </div>
</div>

